# class Gem::SilentUI::NullIO

An absolutely silent `IO`.

### Public Instance Methods

flush ()
Source

    # File lib/rubygems/user_interaction.rb, line 640
    def flush
    end

gets (*args)
Source

    # File lib/rubygems/user_interaction.rb, line 643
    def gets(*args)
    end

print (*args)
Source

    # File lib/rubygems/user_interaction.rb, line 637
    def print(*args)
    end

puts (*args)
Source

    # File lib/rubygems/user_interaction.rb, line 634
    def puts(*args)
    end

tty? ()
Source

    # File lib/rubygems/user_interaction.rb, line 646
    def tty?
      false
    end